#ifndef _ALSA_H_
#define _ALSA_H_

typedef enum {
  ALSA_S16,
  ALSA_FLOAT,
} alsa_format_t;

void *open_alsa(int samplerate, int channels, alsa_format_t f, int output,
    char *device);
void close_alsa(void *h);
void put_alsa(void *h, void *buf, int frames, float vol);
void get_alsa(void *_, void *buf, int frames);
uint64_t alsa_get_latency(void *h);

#endif /* _ALSA_H_ */
